> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/import-api/validation/idempotence.md).

# Idempotence

Idempotence validation prevents you from modifying the property of a resource when you used the same property to identify that resource.

For example, you are not allowed to change the name of an asset if you identify that asset by name.

{% tabs %}
{% tab title="Example" icon="glasses-round" %}
An operation that is not allowed

```json
{
​  "resourceType": "Asset",
​  "identifier": {
​    "name": "Customer",
​    "domain": {
​      "name": "Finance Glossary",
​    "community": {
​      "name": "Finance"
​      }
    }
​  },
​  "name": "New Customer"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
The idempotence validation was introduced in Collibra Platform version 5.7.
{% endhint %}

## Complex relation idempotence validation

A [complex relation](/api/guides/import-api/import-commands/importing-complex-relations.md) that is not identified by ID, is uniquely identified by the sum of its legs (relations) that have a cardinality of 1. Those legs must be in the identifier section of the import operation. The same legs must not be present in other sections of the import operation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/guides/import-api/validation/idempotence.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
